
Redmine - Defect #857

non english strings size

2008-03-14 18:27 - Michael Glyebov

Status: Closed Start date: 2008-03-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When non-english language is being used (for example Russian) there is the following bug:

For example when trying to add/edit issue category and put more than 15 russian chars value is truncated to 30 bytes. Because

every char in UTF-8 is encoded by 2 bytes string visually truncated to 15 symbols. Probably database field has size 30.

But if you have odd number of 1-byte symbols there is side-effect. 1 byte is being cutted off from last 2-bytes symbol that might

damage html pages. Example of "bad" string is

абвгдеёжзи клмнопрстуф

(it is russian alphabet)

History

#1 - 2008-09-30 17:24 - Kirill Bezrukov (RedmineUP)

+1

#2 - 2008-10-01 21:11 - Azamat Hackimov

Actually, I have Redmine 0.7-svn and UTF-8 aware MySQL and I can't reproduce your error. I think this bug appear when using latin1 MySQL

database, or other 8-bit encoding limitations.

#3 - 2008-12-15 07:40 - Azamat Hackimov

- Status changed from New to Closed

- Resolution set to Invalid

No response.
